### Function Macro

# GLib STATIC_ASSERT

since: 2.20

#### Declaration [src]

    #define G_STATIC_ASSERT (
      expr
    )

#### Description [src]

The G_STATIC_ASSERT() macro lets the programmer check a condition at compile time, the condition needs to be compile time computable. The macro can be used in any place where a typedef is valid.

A typedef is generally allowed in exactly the same places that a variable declaration is allowed. For this reason, you should not use G_STATIC_ASSERT() in the middle of blocks of code.

The macro should only be used once per source code line.

Available since: 2.20

This function is not directly available to language bindings.

#### Parameters

`expr`

  Type: `-`

  A constant expression.